from base import ModuleBase
import re

class Module(ModuleBase):
    def __init__(self, manager):
        ModuleBase.__init__(self, manager)
    
    def commands(self):
        return [('!help', 'Zeigt diese Hilfe an...')]
    
    def groupchat(self, room, message_from, message_body, reply):
        if not re.match(r'!help(?:\W|\Z)', message_body):
            return
        
        commands = reduce(lambda l, mod: l + mod.commands(), self.manager.modules.itervalues(), [])
        helpstring = reduce(lambda s, (c, h): s + c + ': ' + h + '\n', commands, '')
        
        reply('Befehle:\n\n' + helpstring)
