from base import ModuleBase

class Module(ModuleBase):
    def __init__(self, manager):
        ModuleBase.__init__(self, manager)
        self.db = manager.get('mysql').db
    
    def groupchat(self, room, message_from, message_body, reply):
        cursor = self.db.cursor()
        cursor.execute('INSERT INTO log (time, room, nick, text) VALUES (NOW(), %s, %s, %s)', (room, message_from, message_body))
        cursor.close()
